/* 
 * File:   main.c
 * Author: Bugz Bensce
 *
 * Created on 22 April 2020, 6:57 PM
 */

#include "assets/config/config_words.h"
#define _XTAL_FREQ  8000000
//------------------------------------------------------------------------------
#include <stdio.h>
#include <stdlib.h>
#include <xc.h>
#include "assets/LM75/LM75.h"
#include "assets/Segments/Segments.h"
//------------------------------------------------------------------------------
int main(int argc, char** argv) 
{
  OSCCON =  0X70;       // set internal oscillator to 8MHz
  Segments_init();
  LM75_init();
 
  while(1)
  {
    signed int tempr = (signed int) (LM75_read(TEMPERATURE_ADDRESS) * 10);
    Segments_display(tempr);
  }
  
  return (EXIT_SUCCESS);
}
//------------------------------------------------------------------------------